﻿using System;
using XMLSerialisering;

namespace SokobanLevelTest
{
    class Program
    {
        static void Main(string[] args)
        {
            var test = ObjectXmlSerializer<SokobanLevels>.Load("compact.slc");

            Console.WriteLine("Title: " + test.Title);
            Console.WriteLine("Description: " + test.Description);
            Console.WriteLine("Email: " + test.Email);

            if (test.LevelCollection != null)
            {
                Console.WriteLine("Copy: " + test.LevelCollection.Copyright);
                Console.WriteLine("MaxWidth: " + test.LevelCollection.MaxWidth);
                Console.WriteLine("MaxHeight: " + test.LevelCollection.MaxHeight);

                foreach(Level l in test.LevelCollection.Levels)
                {
                    Console.WriteLine("Id: " + l.Id);
                    foreach (string line in l.Lines)
                        Console.WriteLine(line);
                }
            }

            Console.ReadKey();
        }
    }
}
